## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           lastpass-cli
Version:        1.3.6
Release:        %autorelease
Summary:        Command line interface to LastPass.com

License:        GPL-2.0-or-later WITH cryptsetup-OpenSSL-exception AND OpenSSL
URL:            https://github.com/LastPass/lastpass-cli
Source:         %url/archive/v%{version}/lastpass-cli-%{version}.tar.gz
# https://bugzilla.redhat.com/show_bug.cgi?id=1457758
Patch:          lastpass-cli-1.3.1-remove_reallocarray.patch
# https://github.com/lastpass/lastpass-cli/pull/535
Patch:          0001-Mark-global-variable-as-extern.patch

BuildRequires:  asciidoc
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libcurl-devel
BuildRequires:  libxml2-devel
BuildRequires:  make
BuildRequires:  openssl-devel
Requires:       pinentry
Requires:       xclip

%description
A command line interface to LastPass.com.

%prep
%autosetup -p1

%build
%cmake
%cmake_build --target lpass doc-man doc-html

%install
export DESTDIR=%{buildroot}
%cmake_build --target install-doc
%cmake_install

# Install shell completions
install -Dpm0644 contrib/lpass_bash_completion -t \
    %{buildroot}%{bash_completions_dir}/lpass-completion.bash
install -Dpm0644 contrib/completions-lpass.fish -t \
    %{buildroot}%{fish_completions_dir}/lpass.fish
install -Dpm0644 contrib/lpass_zsh_completion -t \
    %{buildroot}%{zsh_completions_dir}/_lpass

%files
%license COPYING LICENSE.OpenSSL
%doc CHANGELOG.md CONTRIBUTING README.md
%doc contrib/examples %{__cmake_builddir}/lpass.1.html
%{_bindir}/lpass
%{_mandir}/man1/lpass.1*
%dir %{bash_completions_dir}
%{bash_completions_dir}/lpass-completion.bash
%dir %{fish_completions_dir}
%{fish_completions_dir}/lpass.fish
%dir %{zsh_completions_dir}
%{zsh_completions_dir}/_lpass

%changelog
* Thu Sep 21 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.6-2
- Fix license to GPL-2.0-or-later

* Mon Sep 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.6-1
- Update to 1.3.6

* Fri Sep 01 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.5-1
- Update to 1.3.5

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 27 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.4-1
- Update to 1.3.4

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 23 00:29:28 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.3-3
- Better fix for GCC 10

* Thu Jan 23 00:29:28 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.3-2
- Fix compatibility with GCC 10

* Fri Aug 09 17:18:00 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.3-1
- Release 1.3.3 (#1700031)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 24 16:33:41 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-1
- Release 1.3.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 03 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-2
- Remove reallocarray
- Fix RHBZ#1457758

* Mon Jul 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-1
- Update to version 1.3.1
- Add fish and zsh completions
- Fix #1583717, #1579473, #1459717
- Thanks to Ventz Petkov and Edward J. Huff for their contribution

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 12 2017 Peter Robinson <pbrobinson@fedoraproject.org> 1.1.2-1
- Update to latest 1.1.2 release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Mar 6 2016 Tom Prince - 0.9.0-1
- Version number bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 4 2016 Tom Prince - 0.8.0-1
- Version number bump
- Install bash completions

* Thu Dec 24 2015 Tom Prince - 0.7.0-3
- Remove xclip dependency for EPEL.

* Sun Dec 6 2015 Tom Prince - 0.7.0-2
- Address review comments.

* Mon Nov 16 2015 Tom Prince - 0.7.0-1
- Version number bump

* Wed Oct 7 2015 Tom Prince - 0.6.0-1
- Version number bump

* Tue Dec 30 2014 Rohan Ferris - 0.4.0-2
- Include asciidoc

* Tue Dec 30 2014 Rohan Ferris - 0.4.0-1
- Version number bump

* Fri Nov  7 2014 Rohan Ferris
- Initial packaging.

